Bug 191275 - Need sys_unshare support.
Need sys_unshare support.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On: 178633
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-10 09:12 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.5.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 22:05:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix this bug (2.24 KB, patch)
2006-05-10 09:12 EDT, Russell Coker
no flags Details | Diff

  None (edit)
Description Russell Coker 2006-05-10 09:12:42 EDT
Description of problem:
I've attached a patch, but it doesn't try to do anything for architectures 
other than i386.  I only have i386 to test and am hesitant to change code that 
I don't understand well and can't test.
Comment 1 Russell Coker 2006-05-10 09:12:42 EDT
Created attachment 128848 [details]
patch to fix this bug
Comment 2 Russell Coker 2006-05-10 09:15:33 EDT
I just realised that my patch has TN for the type when it should be TP for 
process instead.
Comment 3 Dmitry V. Levin 2006-09-01 10:51:12 EDT
The patch I found in attachment #128848 [details] is not OK:
- The change to linux/syscallent.h and linux/syscall.h just replaces sys_recv
with sys_unshare; I do not understand why sys_recv is no longer needed.
- The change to process.c defines struct xlat unshare_flags in a strange way I
also do not understand.
Comment 4 Russell Coker 2006-09-01 20:26:35 EDT
The change to syscall.h is probably a bad idea in retrospect, it should merely 
add sys_unshare() and not remove sys_recv().

I believe that the rest is good for i386.
Comment 5 Dmitry V. Levin 2006-09-02 08:53:45 EDT
Please try the patch I submitted to #178633.
Comment 6 Dmitry V. Levin 2006-12-05 19:16:09 EST
Fixed upstream.
Comment 7 Roland McGrath 2007-01-11 06:14:26 EST
these bugs are fixed upstream in the coming 4.5.15 release
Comment 8 Roland McGrath 2007-01-16 22:05:07 EST
4.5.15 in rawhide and in updates for fc5 and fc6 fixes this.

Note You need to log in before you can comment on or make changes to this bug.